<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">DIRECCIÓN</h3>
        <!--Calle numero colonia zip city edo. -->
        <div class="row">
            <div class="col-6 mx-auto my-3">
            </div>
        </div>
        <div class="row">
            <p class="text-2 tex-muted curp-subtitle">
                Ingresa los datos de tu dirección
            </p>
        </div>

        <div class="form-group">
            <input autocomplete="off" value="{{cpInput}}" placeholder="Código postal" class="form-control" min="1" id="cpInput" (blur)="searchCode($event)"
            (keyup.enter)="searchCode($event)" 
            oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1').slice(0,5);">
        </div>
        
        <div class="form-group">
            <input autocomplete="off" value="{{calleInput}}" placeholder="Calle" class="form-control"  type="text" id="calleInput" maxlength="30" (keyup.enter)="aceptar()">
           
        </div>

        <div class="form-group">
            <input autocomplete="off" value="{{numeroInput}}" placeholder="Número" class="form-control"  type="text" id="numeroInput" maxlength="30" (keyup.enter)="aceptar()">
           
        </div>

        <div class="form-group">
            <select class="browser-default custom-select" #ciudadSelect (change)='getInfoCiudad($event)'
            name="ciudadSelect" class="form-control" id="ciudadSelect">
            <option value="noData">Selecciona una colonia</option>
            <option *ngFor="let result of this.arrayStreet; index as i" value="{{result.colony}}">
              {{result.colony}}</option>
              <option value="OTRO">Ingresar otra colonia</option>
          </select>
        </div>

        <div class="form-group" *ngIf="showOtherColony">
            <input autocomplete="off" value="{{coloniaInput}}" placeholder="Colonia" class="form-control"  type="text" id="coloniaInput" maxlength="30" (keyup.enter)="aceptar()">
            
        </div>

        

        <!--
             <div class="form-group">
            <input autocomplete="off" value="{{cpInput}}" placeholder="Código postal" class="form-control" pattern="\d*" type="number" id="cpInput" maxlength="5"
            oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" (keyup.enter)="aceptar()">
        </div>

        <div class="form-group">
            <input autocomplete="off" value="{{ciudadInput}}" placeholder="Ciudad" class="form-control"  type="text" id="ciudadInput" maxlength="25" (keyup.enter)="aceptar()">
           
        </div>

        <div class="form-group">
            <input autocomplete="off" value="{{edoInput}}" placeholder="Estado" class="form-control"  type="text" id="estadoInput" maxlength="25" (keyup.enter)="aceptar()">
           
        </div>

        <small class="form-text text-muted" id="errorGeneral" *ngIf="errorGeneral">Todos los campos son obligatorios</small> 
        -->

        <div class="form-group">
            <input autocomplete="off" value="{{ciudadInput}}" placeholder="Ciudad" class="form-control"  type="text" id="ciudadInput" maxlength="25" (keyup.enter)="aceptar()">
           
        </div>

        <div class="form-group">
            <input autocomplete="off" value="{{edoInput}}" placeholder="Estado" class="form-control"  type="text" id="estadoInput" maxlength="25" (keyup.enter)="aceptar()">
        </div>
        
        <small class=" form-text text-muted" id="errorGeneral" *ngIf="errorGeneral">Todos los campos son obligatorios</small> 
        <!--
        <div class="form-gruop">
            <select name="estado">
                <option value="no">Seleccione su estado</option>
                <option value="Aguascalientes">Aguascalientes</option>
                <option value="Baja California">Baja California</option>
                <option value="Baja California Sur">Baja California Sur</option>
                <option value="Campeche">Campeche</option>
                <option value="Chiapas">Chiapas</option>
                <option value="Chihuahua">Chihuahua</option>
                <option value="CDMX">Ciudad de México</option>
                <option value="Coahuila">Coahuila</option>
                <option value="Colima">Colima</option>
                <option value="Durango">Durango</option>
                <option value="Estado de México">Estado de México</option>
                <option value="Guanajuato">Guanajuato</option>
                <option value="Guerrero">Guerrero</option>
                <option value="Hidalgo">Hidalgo</option>
                <option value="Jalisco">Jalisco</option>
                <option value="Michoacán">Michoacán</option>
                <option value="Morelos">Morelos</option>
                <option value="Nayarit">Nayarit</option>
                <option value="Nuevo León">Nuevo León</option>
                <option value="Oaxaca">Oaxaca</option>
                <option value="Puebla">Puebla</option>
                <option value="Querétaro">Querétaro</option>
                <option value="Quintana Roo">Quintana Roo</option>
                <option value="San Luis Potosí">San Luis Potosí</option>
                <option value="Sinaloa">Sinaloa</option>
                <option value="Sonora">Sonora</option>
                <option value="Tabasco">Tabasco</option>
                <option value="Tamaulipas">Tamaulipas</option>
                <option value="Tlaxcala">Tlaxcala</option>
                <option value="Veracruz">Veracruz</option>
                <option value="Yucatán">Yucatán</option>
                <option value="Zacatecas">Zacatecas</option>
            </select>
        </div>
-->

        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="aceptar()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()">Continuar</button>
        </p>                       
    </div>
</div>